Package com.google.javascript.rhino

# Class TokenStream

java.lang.Object
com.google.javascript.rhino.TokenStream

public class TokenStream extends Object
This class implements the JavaScript scanner. It is based on the C source files jsscan.c and jsscan.h in the jsref package.

## Constructor Summary

Constructors
Constructor
Description
`TokenStream()`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`isJSIdentifier(String s)`
`static boolean`
`isKeyword(String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TokenStream

public TokenStream()

## Method Details

### isKeyword

public static boolean isKeyword(String name)

### isJSIdentifier

public static boolean isJSIdentifier(String s)